#include 	"main_def.h"

/* GPIO toggle test item enable/disable	*/
#define	GPIOA_TOGGLE_TEST	
////////#define	GPIOB_TOGGLE_TEST
////////#define	GPIOC_TOGGLE_TEST

#define PASS		0U
#define FAIL		1U

/* Private function prototypes -----------------------------------------------*/
	

/* USER CODE BEGIN */
/* Private function prototypes -----------------------------------------------*/

int main (void)
{
	GPIO_InitTypeDef GPIO_InitStruct; 	
	volatile uint32_t Result;
	
	MX_GPIO_Init();
 
	__nop();	
	__nop();	
	/* PA0 is output */
	GPIO_InitStruct.Pin = GPIO_PIN_0|GPIO_PIN_1|GPIO_PIN_2|GPIO_PIN_7;
	GPIO_InitStruct.Mode = GPIOx_MODER_DG_IO;	
	GPIO_InitStruct.OutputEnable = GPIOx_OUTEN_EN;
	GPIO_InitStruct.OutputType = 	GPIOx_OTYPER_PP;			
	GPIO_InitStruct.PullUp = GPIOx_PUR_DIS;	
	GPIO_InitStruct.PullDown = GPIOx_PDR_DIS;		
	GPIO_InitStruct.HighDriveSink = GPIOx_HDHSR_NORMAL;	
	GPIO_InitStruct.InputHysteresis = GPIOx_IHYSTER_EN;		
  GPIO_Init(GPIOIPA, GPIOA, &GPIO_InitStruct);		
	
  while(1){	
		/* PA, PB is output */
		GPIO_InitStruct.Pin = 	GPIO_PIN_0|GPIO_PIN_1|GPIO_PIN_2|GPIO_PIN_3|GPIO_PIN_4|GPIO_PIN_5|GPIO_PIN_6|GPIO_PIN_7|GPIO_PIN_8
														|GPIO_PIN_9|GPIO_PIN_10|GPIO_PIN_11|GPIO_PIN_12|GPIO_PIN_13|GPIO_PIN_14|GPIO_PIN_15;
		GPIO_InitStruct.Mode = GPIOx_MODER_DG_IO;	
		GPIO_InitStruct.OutputEnable = GPIOx_OUTEN_EN;
		GPIO_InitStruct.OutputType = 	GPIOx_OTYPER_PP;			
		GPIO_InitStruct.PullUp = GPIOx_PUR_DIS;	
		GPIO_InitStruct.PullDown = GPIOx_PDR_DIS;		
		GPIO_InitStruct.HighDriveSink = GPIOx_HDHSR_NORMAL;	
		GPIO_InitStruct.InputHysteresis = GPIOx_IHYSTER_EN;			
		GPIO_Init(GPIOIPA, GPIOA, &GPIO_InitStruct);		
		GPIO_Init(GPIOIPB, GPIOB, &GPIO_InitStruct);	
		
		/* PC3 and PC4 is SWD pins */		
		GPIO_InitStruct.Pin = 	GPIO_PIN_0|GPIO_PIN_1|GPIO_PIN_2|GPIO_PIN_5|GPIO_PIN_6|GPIO_PIN_7|GPIO_PIN_8
														|GPIO_PIN_9|GPIO_PIN_10|GPIO_PIN_11|GPIO_PIN_12|GPIO_PIN_13|GPIO_PIN_14|GPIO_PIN_15;
		GPIO_InitStruct.Mode = GPIOx_MODER_DG_IO;	
		GPIO_InitStruct.OutputEnable = GPIOx_OUTEN_EN;
		GPIO_InitStruct.OutputType = 	GPIOx_OTYPER_PP;			
		GPIO_InitStruct.PullUp = GPIOx_PUR_DIS;	
		GPIO_InitStruct.PullDown = GPIOx_PDR_DIS;		
		GPIO_InitStruct.HighDriveSink = GPIOx_HDHSR_NORMAL;	
		GPIO_InitStruct.InputHysteresis = GPIOx_IHYSTER_EN;	
		GPIO_Init(GPIOIPC, GPIOC, &GPIO_InitStruct);		
		while(1){
		
		/* ====================================================================================== */
		/* ================            			GPIO toggle test							       ================ */
		/* ====================================================================================== */																																						
		/* 	Test description:	All GPIO is toggle in power-on free run mode. 											*/
		/*	Verify descrption:																																		*/	
		/*		GPIO pin status are bellow in power-on free mode(not debug mode.)										*/
		/*		1.PC5(/RESET): 	keep high(pull-high).																								*/
		/*		2.PC3(SWDIO):		no toggle.																													*/
		/*		3.PC4(SWCLK):		no toggle.																													*/
		/*																																												*/
			
#ifdef GPIOA_TOGGLE_TEST		
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_0);
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_1);		
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_2);	
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_3);
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_4);		
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_5);	
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_6);
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_7);		
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_8);	
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_9);
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_10);		
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_11);		
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_12);		
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_13);				
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_14);		
			GPIO_TogglePin(GPIOIPA, GPIO_PIN_15);	
#endif	
			
#ifdef GPIOB_TOGGLE_TEST		
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_0);
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_1);		
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_2);	
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_3);
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_4);		
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_5);	
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_6);
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_7);		
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_8);	
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_9);
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_10);		
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_11);		
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_12);		
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_13);				
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_14);		
			GPIO_TogglePin(GPIOIPB, GPIO_PIN_15);	
#endif	

#ifdef GPIOC_TOGGLE_TEST				
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_0);
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_1);		
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_2);			
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_5);	
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_6);
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_7);		
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_8);	
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_9);
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_10);		
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_11);		
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_12);		
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_13);				
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_14);		
			GPIO_TogglePin(GPIOIPC, GPIO_PIN_15);			
#endif			
		}
		
  }

}
/* USER CODE END */


